GET
List fiat withdrawals
List fiat withdrawals for a specific Go Account wallet.
Path Params
-
walletIdstring requiredThe wallet ID
Query Params
-
statearray of string enumsFilter by fiat withdrawal state.confirmationPendingconfirmationApprovedconfirmationRejected -
coinarray of string enumsFilter by supported fiat currency.tfiatusdtfiateurotfiatgbptfiatinrtfiataedtfiatsgdfiatusdfiateurofiatgbpfiataedfiatsgd -
limitstring numberMaximum number of results to return. If the result set is truncated, use the "nextBatchPrevId" value to get the next batch. -
prevIdstringReturn the next batch of results, based on the "nextBatchPrevId" value from the previous batch.
Responses
200
OK
Response Body
object
-
transfersarray of objects requiredtransfers object
-
entriesarray of objects requiredentries object
-
addressstring requiredThe address associated with this transfer entry -
walletstringThe wallet identifier associated with this entry -
valueStringstringThe transfer amount represented -
isPayGobooleanIndicates if this is a PayGo transaction -
backingFeeStringstringThe backing fee amount -
tokenstringThe token identifier used in the transfer
-
-
idstring requiredUnique identifier for the transfer -
coinstring requiredCoin type for the transfer -
walletstring requiredWallet identifier -
walletTypestring enumType of walletbackingcoldcustodialcustodialPairedhotadvancedtrading -
enterprisestringEnterprise identifier -
organizationstringOrganization identifier -
txidstringTransaction ID -
txidTypestringType of transaction ID -
heightnumberBlock height -
heightIdstringCombined height and transfer ID -
datestring date-time requiredTimestamp of the transfer -
typestring enum requiredType of transfersendreceive -
subTypestringSubtype of transfer -
valuenumberNumeric value of the transfer -
valueStringstring requiredString representation of the transfer value -
intendedValueStringstringIntended value of the transfer -
baseValuenumberBase value of the transfer -
baseValueStringstringString representation of the base value -
baseValueWithoutFeesnumberBase value without fees -
baseValueWithoutFeesStringstringString representation of base value without fees -
feeStringstring nullableFee amount -
payGoFeenumberPayGo fee amount -
payGoFeeStringstringPayGo fee amount as string -
usdnumberUSD value of the transfer -
usdRatenumberUSD exchange rate -
statestring enum requiredCurrent state of the transferinitializedpendingApprovalrejectedsignedunconfirmedconfirmedremovedfailedreplacedreverseddeleted -
instantbooleanWhether the transfer is instant -
isRewardbooleanWhether the transfer is a reward -
isUnlockbooleanWhether the transfer is an unlock -
isFeebooleanWhether the transfer is a fee -
senderInformationVerifiedbooleanWhether sender information is verified -
tagsarray of strings -
historyarray of objects requiredhistory object
-
datestring date-time requiredTimestamp of the historical event -
actionstring enum requiredType of actioncreatedapprovedrejectedsignedunconfirmedconfirmedremovedcommentedfailedregeneratedreplacedreplacingreversedabandoned -
commentstring nullablecomment associated with the action -
userstringUser who performed the action
-
-
signedDatestring date-timeTimestamp when the transfer was signed -
coinSpecificobjectCoin-specific detailscoinSpecific object
-
transactionTypestringType of transaction -
settlementFeeStringstringSettlement fee amount -
referenceTypestringReference type for the transaction -
referenceValuestringReference value for the transaction -
originalDestinationstringOriginal destination identifier -
feesarray of objectsfees object
-
amountstringAmount of the fee -
categorystringCategory of the fee
-
-
-
usersNotifiedbooleanWhether users have been notified -
metadataarray of objectsmetadata object
-
keystring requiredKey identifying the metadata type -
valuestring requiredValue associated with the metadata
-
-
confirmedTimestring date-timeTimestamp when the transfer was confirmed -
unconfirmedTimestring date-timeTimestamp when the transfer became unconfirmed -
signedTimestring date-timeTimestamp when the transfer was signed -
createdTimestring date-timeTimestamp when the transfer was created
-
-
nextBatchPrevIdstringID for fetching the next batch of results
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
401
Unauthorized
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id